Skip to main content
POST https://api.craftkit.dev/v1/renders/:id/shares
Creates a guest-facing share link for a render. The render must have succeeded. See Sharing.

Authorization

Authorization
string
required
Bearer ck_live_…

Path parameters

id
string
required
The render id.

Body

channel
string
default:"link"
link or email.
recipientEmail
string
Recipient email (valid email; used with channel: "email").
message
string
Optional message (max 2000 chars).
expiresAt
string
ISO 8601 timestamp. Omit for no auto-expiry.

Response

201:
id
string
shareToken
string
shareUrl
string
{shareBase}/share/{shareToken}.
channel
string
recipientEmail
string | null
message
string | null
expiresAt
string | null
revokedAt
string | null
createdAt
string

Errors

StatuscodeMeaning
404not_foundNo render with that id in this key’s project.
409not_readyRender has not succeeded yet.
  • GET /v1/renders/:id/shares — list shares for a render.
  • DELETE /v1/renders/:id/shares/:shareId — revoke a share.
cURL
curl -X POST https://api.craftkit.dev/v1/renders/$RENDER_ID/shares \
  -H "Authorization: Bearer $CRAFTKIT_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "channel": "link", "expiresAt": "2026-12-31T23:59:59Z" }'
201
{
  "id": "…",
  "shareToken": "…",
  "shareUrl": "https://www.craftkit.dev/share/…",
  "channel": "link",
  "recipientEmail": null,
  "message": null,
  "expiresAt": "2026-12-31T23:59:59.000Z",
  "revokedAt": null,
  "createdAt": "2026-06-05T10:05:00.000Z"
}